Bug 962601 (CVE-2013-1675) - CVE-2013-1675 Mozilla: Uninitialized functions in DOMSVGZoomEvent (MFSA 2013-47)
Summary: CVE-2013-1675 Mozilla: Uninitialized functions in DOMSVGZoomEvent (MFSA 2013-47)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1675
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 959859
TreeView+ depends on / blocked
 
Reported: 2013-05-14 02:18 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-14 21:03:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0820 normal SHIPPED_LIVE Critical: firefox security update 2013-05-15 00:01:54 UTC
Red Hat Product Errata RHSA-2013:0821 normal SHIPPED_LIVE Important: thunderbird security update 2013-05-15 00:01:40 UTC

Description Huzaifa S. Sidhpurwala 2013-05-14 02:18:45 UTC
Mozilla community member Ms2ger discovered that some DOMSVGZoomEvent functions are used without being properly initialized, causing unitialized memory to be used when they are called. This can lead to a potentially exploitable crash.

In general these flaws cannot be exploited through email in the Thunderbird product because scripting is disabled, but are potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-47.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Ms2ger as the original reporter.

Comment 1 errata-xmlrpc 2013-05-14 20:03:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0821 https://rhn.redhat.com/errata/RHSA-2013-0821.html

Comment 2 errata-xmlrpc 2013-05-14 20:04:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0820 https://rhn.redhat.com/errata/RHSA-2013-0820.html


Note You need to log in before you can comment on or make changes to this bug.